#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-9i8dO8Uf4yxE5WGuobLpN6-dns-internal
key:                  dns-4.1.1-9i8dO8Uf4yxE5WGuobLpN6-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  e6769ff0730cd2a2fd9aeca550c661b5
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-9i8dO8Uf4yxE5WGuobLpN6-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-ELClZ2Biisy1rHPWcYYXSd
    attoparsec-0.14.4-FU2s2IQbUKDB3KL4mTNthi
    auto-update-0.1.6-J2qCziH2uZO84UoZfdxnp3 base-4.16.4.0
    base16-bytestring-1.0.2.0-A9wYMYPkQGuF1IeghmIXr6
    base64-bytestring-1.2.1.0-Emr26XEx0H73b2OnZgz4Hk
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-A5LsT2Hev12E0IVM96Pcon
    containers-0.6.5.1 cryptonite-0.30-B7iKESAXBh27gCJDOBpQpn
    hourglass-0.2.12-Gaf4mh5K7C86RcgictgMO1
    iproute-1.7.12-EVb0ZiLJVQG1AKJe0pUX0I mtl-2.2.2
    network-3.1.4.0-1FkOptaLhcuI9vN2KGVpMl
    psqueues-0.2.8.0-AdJNBf6wsbdfD24s2O8qY

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-L60p37d13AYJoQ0tUYOVk
key:                  dns-4.1.1-L60p37d13AYJoQ0tUYOVk
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  91572b7c3822d00c5f8e3a249aa7c20c
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-L60p37d13AYJoQ0tUYOVk
depends:
    array-0.5.4.0 async-2.2.5-ELClZ2Biisy1rHPWcYYXSd
    attoparsec-0.14.4-FU2s2IQbUKDB3KL4mTNthi
    auto-update-0.1.6-J2qCziH2uZO84UoZfdxnp3 base-4.16.4.0
    base16-bytestring-1.0.2.0-A9wYMYPkQGuF1IeghmIXr6
    base64-bytestring-1.2.1.0-Emr26XEx0H73b2OnZgz4Hk
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-B7iKESAXBh27gCJDOBpQpn
    dns-4.1.1-9i8dO8Uf4yxE5WGuobLpN6-dns-internal
    hourglass-0.2.12-Gaf4mh5K7C86RcgictgMO1
    iproute-1.7.12-EVb0ZiLJVQG1AKJe0pUX0I mtl-2.2.2
    network-3.1.4.0-1FkOptaLhcuI9vN2KGVpMl
    psqueues-0.2.8.0-AdJNBf6wsbdfD24s2O8qY

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

